VPATH += $(USER_OSD_DIR)/Resource/Composer/src

INCLUDES += -I$(USER_OSD_DIR)/Resource/Composer/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/bmp/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/font/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/icon/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/graphic/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/logo/inc

OBJ_USER_OSD_RESOURCE_COMPOSER_C = $(wildcard $(USER_OSD_DIR)/Resource/Composer/src/*.c)
OBJ_USER_OSD_RESOURCE_COMPOSER_C_NODIR = $(notdir $(OBJ_USER_OSD_RESOURCE_COMPOSER_C))
OBJ_USER_OSD_RESOURCE_COMPOSER_C_O = $(OBJ_USER_OSD_RESOURCE_COMPOSER_C_NODIR:%.c=%.o)
OSD_TARGET_O += $(OBJ_USER_OSD_RESOURCE_COMPOSER_C_O)
